Subject: bug#12600: 24.2.50; linum-mode: line numbers in fringe do not refresh when resizing frame

From: martin rudalics <[email-masked]>
Date: Fri, 12 Oct 2012 17:43:01 +0200

>> When last_modifed_flag is set, the window must be redisplayed.
 >
 > No: last_modifed_flag is (normally) only set at the end of redisplay, so
 > the in the future you can check if redisplay is needed by comparing it
 > with the buffer's modiff.

last_modifed_flag is a fictitious variable I would set when the window
changes.  When it's set, redisplay must redisplay the window.

 >> assignment.  OTOH when the buffer iself is modified it has to be
 >> redisplayed anyway because we hardly know where the change happened.
 >
 > But instead of going through all the windows that display this buffer,
 > we just change the buffer's modiff, so it will cause all the
 > (last_modifed_flag == modiff) checks to fail in the windows that display
 > this buffer.

We'd obviously have an independent buffer_modified_flag.  A window must
be redisplayed if either buffer_modified_flag is set (modulo any
optimizations which I won't dispute here) or its last_modifed_flag is
set.

martin